HUGO-MOD-VENDOR(1)

NAME

hugo-mod-vendor - Vendor all module dependencies into the _vendor directory.

SYNOPSIS

hugo mod vendor [flags]

DESCRIPTION

Vendor all module dependencies into the _vendor directory.

If a module is vendored, that is where Hugo will look for it's dependencies.

OPTIONS

-h, --help[=false]
    help for vendor

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-mod(1)